Subject: SGI O2 - RAM 320MBytes - linux reports 245MBytes (/proc/meminfo)

From: Frederic TEMPORELLI <[email-masked]>
Date: Sun, 19 Dec 2004 11:24:03 +0100

Hello,

no way to see (use ?) all available RAM (320MB) on SGI O2 with 
2.6.10-rc3 (latest cvs)

Hardware => SGI O2 with 320MBytes in this way:
dimm 1: 32MBytes - dimm2: 32MBytes
dimm 3: 32MBytes - dimm4: 32MBytes
dimm 5: 32MBytes - dimm6: 32MBytes
dimm 7: 64MBytes - dimm8: 64MBytes

Firmware => "hinv" is reporting 320MBytes (OK, match hardware)

Linux Kernel (32 and 64 bits) => /proc/meminfo is reporting a MemTotal 
of 245436KB
"top" command is reporting same wrong value (more than 64MB missing)

where can I look for in sources to report/use all available RAM ?
can you help me ?
 
Regards

--
Frederic TEMPORELLI

---

From: Kumba <[email-masked]>
Date: Sun, 19 Dec 2004 07:29:37 -0500

> where can I look for in sources to report/use all available RAM ?

O2, like Indy and I2/R4x00, are limited to 256MB max RAM currently.  To see 
any further, O2 needs HIGHMEM support, which last I checked, doesn't exist.

Patches welcome :)

--Kumba

-- 
"Such is oft the course of deeds that move the wheels of the world: small 
hands do them because they must, while the eyes of the great are elsewhere." 
--Elrond